%global themes Faenza Faenza-Dark Faenza-Darker Faenza-Darkest

Name:           faenza-icon-theme
Version:        1.2
Release:        2%{?dist}
Summary:        Icon theme designed for Equinox GTK theme

Group:          User Interface/Desktops 
License:        GPLv3
URL:            http://tiheum.deviantart.com/art/Faenza-Icons-173323228
Source0:        https://faenza-icon-theme.googlecode.com/files/%{name}_%{version}.tar.bz2
BuildArch:      noarch
Obsoletes:	fuduntu-faenza
Provides:	fuduntu-faenza

%description
Contains icons for Equinox GTK theme


%prep
%setup -q -c
# fix permissions
find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;


%install
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons

# link the distributor-icon to the Fedora icon
for icon in ./*/places/*/distributor-logo-fuduntu.*
do
    pushd $(dirname ${icon})
        ln -sf $(basename ${icon}) distributor-logo.${icon##*.}
    popd
done

cp -a Faenza* $RPM_BUILD_ROOT%{_datadir}/icons


%post
for theme in %{themes}
do
    touch --no-create %{_datadir}/icons/${theme} &>/dev/null ||:
done


%postun
if [ $1 -eq 0 ] ; then
    for theme in %{themes}
    do
        touch --no-create %{_datadir}/icons/${theme} &>/dev/null
        gtk-update-icon-cache -q %{_datadir}/icons/${theme} &>/dev/null || :
    done
fi


%posttrans
for theme in %{themes}
do
    gtk-update-icon-cache %{_datadir}/icons/${theme} &>/dev/null || :
done


%files
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/icons/Faenza*


%changelog
* Mon Feb 25 2013 Andrew Wyatt <andrew@fuduntu.org> - 1.2-2
- Additional microphone status tweaks

* Mon Feb 18 2013 Andrew Wyatt <andrew@fuduntu.org> - 1.2-1
- Re-add the microphone status icons

* Sat Sep 01 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.1-5
- Darken Jupiter power on demand icon

* Sat Jul 21 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.1-4
- Darken Jupiter power savings mode icon

* Fri Jul 20 2012 Andrew Wyatt <andrew@fuduntu.org> - 1.1-3
- Fork for Fuduntu

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Felix Kaechele <heffer@fedoraproject.org> - 1.1-1
- update to 1.1
- clean up specfile

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.6-1
- New Version from upstream

* Tue Aug 10 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-5
- Cleaned up files macro
- Modified install macro  with -a option to keep timestamps on files

* Mon Aug 09 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-4
- Version number comes from URL
- made corrections to prep macro 

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@arhclinux.us> - 0.5-3
- Corrected version number
- Added scriplet
- Corrected unused of macro

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-2
- added global tarname macro
- Corrected the License 
- made corrections to scriplets
- deleted redundant characters
- changed permission issues to satisfy rpmlint errors

* Thu Aug 05 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-1
- Intial RPM release
